<mat-sidenav-container class="sidebar-container">
    <mat-sidenav #sidenav [opened]="mobileQuery.matches ? 'false' : 'false'" [mode]="mobileQuery.matches ? 'over' : 'push'">
        <div class="logo">
            <img src="./assets/sm-logo-white.png">
        </div>

        <!-- side-nav-menu -->
        <div class="side-menu">
            <ul class="nav flex-column">
                <li class="nav-item">
                    <a class="nav-link" [routerLink]="['/home']" (click)="sidenav.toggle()" routerLinkActive="active-link">
                        <mat-icon>dashboard</mat-icon>DASHBOARD</a>
                </li>
            </ul>
            <ul class="nav flex-column">
                <li class="nav-item">
                    <a class="nav-link" [routerLink]="['/home']" (click)="sidenav.toggle()" routerLinkActive="active-link">
                        <mat-icon>data_usage</mat-icon>DATA</a>
                </li>
            </ul>
            <ul class="nav flex-column">
                <li class="nav-item">
                    <a class="nav-link" [routerLink]="['/home']" (click)="sidenav.toggle()" routerLinkActive="active-link">
                        <mat-icon>trending_up</mat-icon>MONITORING</a>
                </li>
            </ul>
        </div>
        <!-- side-nav-menu -->

    </mat-sidenav>

    <mat-sidenav-content>
        <mat-toolbar class="top-header" [class.mat-elevation-z2]="!isActive">
            <button type="button" mat-button (click)="sidenav.toggle()">
                <mat-icon>menu</mat-icon>
            </button>
            <h5>SALES MONITORING</h5>
            <span class="example-spacer"></span>
            <button type="button" matTooltip="Fullscreen" mat-button (click)="toggleFullScreen()">
                <mat-icon>fullscreen</mat-icon>
            </button>
            <button type="button" matTooltip="Inbox" [routerLink]="['#']" mat-button>
                <mat-icon>mail_outline</mat-icon>
            </button>
            <div class="badge">
                <span>20</span>
            </div>
            <mat-icon class="example-icon">account_circle</mat-icon>
            <h6 class="caption">John Doe</h6>
            <button matTooltip="Logout" type="button" mat-button (click)="logout()">
                <mat-icon>power_settings_new</mat-icon>
            </button>
        </mat-toolbar>
        <ng-progress></ng-progress>
        <router-outlet></router-outlet>

    </mat-sidenav-content>


</mat-sidenav-container>